Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class ServletProviderSession

    java.lang.Object
      |
      +--oracle.portal.provider.v2.http.ServletProviderSession

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionActivationListener, javax.servlet.http.HttpSessionBindingListener, ProviderSession, java.io.Serializable

public class ServletProviderSession
extends java.lang.Object
implements ProviderSession, javax.servlet.http.HttpSessionBindingListener, javax.servlet.http.HttpSessionActivationListener, java.io.Serializable

Servlet specific implementation of the `ProviderSession` interface.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SESSION_ID`

Method Summary
`static ServletProviderSession` | `getAttachedSession(javax.servlet.http.HttpServletRequest request)`
`static ServletProviderSession` | `getAttachedSession(javax.servlet.http.HttpServletRequest request, boolean create)`
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.
`java.util.Enumeration` | `getAttributeNames()` Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.
`long` | `getCreationTime()` Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.
`java.lang.String` | `getId()` Returns a string containing the unique identifier assigned to this session.
`long` | `getLastAccessedTime()` Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT.
`int` | `getMaxInactiveInterval()` Returns the maximum time interval, in seconds, that the servlet engine will keep this session open between client requests.
`void` | `invalidate()` Invalidates this session and unbinds any objects bound to it.
`boolean` | `isNew()` Returns `true` if the client does not yet know about the session or if the client chooses not to join the session.
`void` | `removeAttribute(java.lang.String name)` Removes the object bound with the specified name from this session.
`void` | `sessionDidActivate(javax.servlet.http.HttpSessionEvent se)` Notification that the session has just been activated.
`void` | `sessionWillPassivate(javax.servlet.http.HttpSessionEvent se)` Notification that the session is about to be passivated.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Binds an object to this session, using the name specified.
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)` In case the User is attached to a session we want to be able to remove its session reference so the http session can ultimately be garbage collected.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_ID

    public static final java.lang.String SESSION_ID

See Also:
  Constant Field Values

Method Detail

### getAttachedSession

    public static ServletProviderSession getAttachedSession(javax.servlet.http.HttpServletRequest request)

### getAttachedSession

    public static ServletProviderSession getAttachedSession(javax.servlet.http.HttpServletRequest request,
                                                            boolean create)

### getCreationTime

    public long getCreationTime()
                         throws java.lang.IllegalStateException

  Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.

  Specified by:
    `getCreationTime` in interface `ProviderSession`
  Returns:
    a `long` specifying when this session was created, expressed in milliseconds since 1/1/1970 GMT.
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getId

    public java.lang.String getId()
                           throws java.lang.IllegalStateException

  Returns a string containing the unique identifier assigned to this session. The identifier is assigned by the servlet container and is implementation dependent.

  Specified by:
    `getId` in interface `ProviderSession`
  Returns:
    a string specifying the identifier assigned to this session.
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getLastAccessedTime

    public long getLastAccessedTime()
                             throws java.lang.IllegalStateException

  Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT.

  Actions that your application takes, such as getting or setting a value associated with the session, do not affect the access time.

  Specified by:
    `getLastAccessedTime` in interface `ProviderSession`
  Returns:
    a `long` representing the last time the client sent a request associated with this session, expressed in milliseconds since 1/1/1970 GMT
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Returns the maximum time interval, in seconds, that the servlet engine will keep this session open between client requests. You can set the maximum time interval with the `setMaxInactiveInterval` method.

  Specified by:
    `getMaxInactiveInterval` in interface `ProviderSession`
  Returns:
    an integer specifying the number of seconds this session remains open between client requests.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.lang.IllegalStateException

  Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.

  Specified by:
    `getAttribute` in interface `ProviderSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getAttributeNames

    public java.util.Enumeration getAttributeNames()
                                            throws java.lang.IllegalStateException

  Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.

  Specified by:
    `getAttributeNames` in interface `ProviderSession`
  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.IllegalStateException

  Binds an object to this session, using the name specified. If an object of the same name is already bound to the session, the object is replaced.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`.

  Specified by:
    `setAttribute` in interface `ProviderSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound; cannot be null
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws java.lang.IllegalStateException

  Removes the object bound with the specified name from this session. If the session does not have an object bound with the specified name, this method does nothing.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueUnbound`.

  Specified by:
    `removeAttribute` in interface `ProviderSession`
  Parameters:
    `name` - the name of the object to remove from this session.
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### invalidate

    public void invalidate()
                    throws java.lang.IllegalStateException

  Invalidates this session and unbinds any objects bound to it.

  Specified by:
    `invalidate` in interface `ProviderSession`
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an already invalidated session

### isNew

    public boolean isNew()
                  throws java.lang.IllegalStateException

  Returns `true` if the client does not yet know about the session or if the client chooses not to join the session. For example, if the server used only cookie-based sessions, and the client had disabled the use of cookies, then a session would be new on each request.

  Specified by:
    `isNew` in interface `ProviderSession`
  Returns:
    `true` if the server has created a session, but the client has not yet joined
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an already invalidated session

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)

  In case the User is attached to a session we want to be able to remove its session reference so the http session can ultimately be garbage collected.

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

### sessionWillPassivate

    public void sessionWillPassivate(javax.servlet.http.HttpSessionEvent se)

  Notification that the session is about to be passivated.

  Specified by:
    `sessionWillPassivate` in interface `javax.servlet.http.HttpSessionActivationListener`

### sessionDidActivate

    public void sessionDidActivate(javax.servlet.http.HttpSessionEvent se)

  Notification that the session has just been activated.

  Specified by:
    `sessionDidActivate` in interface `javax.servlet.http.HttpSessionActivationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.